# Uses of Class
org.apache.zookeeper.Op

Packages that use Op
Package
Description
org.apache.zookeeper

## Uses of Op in org.apache.zookeeper

Subclasses of Op in org.apache.zookeeper
Modifier and Type
Class
Description
`static class`
`Op.Check`
`static class`
`Op.Create`
///////////////
`static class`
`Op.CreateTTL`
`static class`
`Op.Delete`
`static class`
`Op.GetChildren`
`static class`
`Op.GetData`
`static class`
`Op.SetData`
Classes in org.apache.zookeeper that implement interfaces with type arguments of type Op
Modifier and Type
Class
Description
`class`
`MultiOperationRecord`
Encodes a composite operation.
Methods in org.apache.zookeeper that return Op
Modifier and Type
Method
Description
`static Op`
Op.`check(String path, int version)`
Constructs an version check operation.
`static Op`
Op.`create(String path, byte[] data, List<ACL> acl, int flags)`
Constructs a create operation.
`static Op`
Op.`create(String path, byte[] data, List<ACL> acl, int flags, long ttl)`
Constructs a create operation.
`static Op`
Op.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode)`
Constructs a create operation.
`static Op`
Op.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode, long ttl)`
Constructs a create operation.
`static Op`
Op.`create(String path, byte[] data, CreateOptions options)`
Constructs a create operation which uses `ZooDefs.OpCode.create2` if no one is inferred from create mode.
`static Op`
Op.`delete(String path, int version)`
Constructs a delete operation.
`static Op`
Op.`getChildren(String path)`
`static Op`
Op.`getData(String path)`
`static Op`
Op.`setData(String path, byte[] data, int version)`
Constructs an update operation.
Methods in org.apache.zookeeper that return types with arguments of type Op
Modifier and Type
Method
Description
`Iterator<Op>`
MultiOperationRecord.`iterator()`
Methods in org.apache.zookeeper with parameters of type Op
Modifier and Type
Method
Description
`void`
MultiOperationRecord.`add(Op op)`
Method parameters in org.apache.zookeeper with type arguments of type Op
Modifier and Type
Method
Description
`List<OpResult>`
ZooKeeper.`multi(Iterable<Op> ops)`
Executes multiple ZooKeeper operations.
`void`
ZooKeeper.`multi(Iterable<Op> ops, AsyncCallback.MultiCallback cb, Object ctx)`
The asynchronous version of multi.
Constructor parameters in org.apache.zookeeper with type arguments of type Op
Modifier
Constructor
Description
``
`MultiOperationRecord(Iterable<Op> ops)`